import Button from './index'
import React from 'react';
import {mountWithMui} from '@rivigo-ui-commons/test-utilities'

describe('when we click the button', () => {

	const mockCallback = jest.fn()
    const obj = mountWithMui(
	    <Button
           	onClick={mockCallback}
	    	buttonType='label'
	    	label='label'
	    />
	  )

    obj.wrapper().find('button').simulate('click')

    test('onClick callback gets called', () => {
        expect(mockCallback.mock.calls.length).toBe(1)
    })
})

describe('when we click the button when disabled', () => {

	const mockCallback = jest.fn()
    const obj = mountWithMui(
	    <Button
	    	disabled
           	onClick={mockCallback}
	    	buttonType='label'
	    	label='label'
	    />
	  )

    obj.wrapper().find('button').simulate('click')

    test('onClick callback does not get called', () => {
        expect(mockCallback.mock.calls.length).toBe(0)
    })
})